#! /bin/sh
# postrm script for kdm
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postrm> `remove'
#        * <postrm> `purge'
#        * <old-postrm> `upgrade' <new-version>
#        * <new-postrm> `failed-upgrade' <old-version>
#        * <new-postrm> `abort-install'
#        * <new-postrm> `abort-install' <old-version>
#        * <new-postrm> `abort-upgrade' <old-version>
#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package

THIS_PACKAGE=kdm

case "$1" in
    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)

    ;;

    *)
        echo "postrm called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

if [ "$1" = "abort-install" -o "$1" = "abort-upgrade" ]; then
  # roll back displacement of default display manager file
  if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" ]; then
    # FIXME - redo this part uses shell-lib.sh from xfree86
    #observe "rolling back change of default X display manager"
    mv "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" "$DEFAULT_DISPLAY_MANAGER_FILE"
  fi
fi

if [ "$1" = "purge" ]; then
  update-rc.d "$THIS_PACKAGE" remove > /dev/null
  for DIR in /var/lib/kdm; do
    if [ -d "$DIR" ]; then
      rm -r "$DIR"
    fi
  done
  rm -f /var/log/kdm.log*
fi

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


